# Backup target host

Setup a backup target host.

* define a working dir, eg. `/opt/imlbackup/server` - only some smaller logfiles will be generated there
* get sources as root
  * extract the files in the repo <https://git-repo.iml.unibe.ch/iml-open-source/iml-backup-server> OR
  * use git clone: \
    `cd /var` \
    `git clone https://git-repo.iml.unibe.ch/iml-open-source/iml-backup-server.git imlbackup`
* add a non privileged user with a login shell; e.g "imlbackup". Set the home directory to `/opt/imlbackup/server`
* Set owner on working dir: `chown -R imlbackup /opt/imlbackup/server`
* Set permissions: `chmod 0700 imlbackup /opt/imlbackup/server`
* create a ssh keypair for the backup user using `ssh-keygen`
* It needs diskspace capacity for all your systems you want to backup or you mount a storage
* define an backup endpoint, eg. `/netshare/backup/` and set the owner to the backup user:
  * `mkdir /netshare/backup/`
  * `chown imlbackup: /netshare/backup/`
  * `chmod 0700 /netshare/backup/`

# Prepare backup client

TODO

* Put the ssh private key to all your devices you want to backup into `[installdir]/keys/imlbackup@targethost`
* Setup SSH connection for restic
  * Host: backup-host
  * User: imlbackup
  * key: [installdir]/keys/imlbackup@targethost
  * target dir: /netshare/backup/
  * enable register functionality: storage_helper.sh

Test: as root
`ssh -i [installdir]/keys/imlbackup@targethost imlbackup@backup-host`
